 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    /**
     * 页面的初始数据
     */
    data: {
        bankArr     : [],      //列表数据
        page        : {},      //分页信息
        lodingStats : false,  //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取银行卡列表
        this.bankInfo();
    },

    /**
     * 银行卡列表
     */
    bankInfo (page) {
        wx.$api.bank.Cards({
            page: page
        }).then(res=>{
            let listArr = this.data.bankArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.data)
            this.setData({
                bankArr     : newData,
                page        : res.data.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
        })
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取银行卡列表
        this.bankInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取银行卡列表
            this.bankInfo(pageNumber);
        }
    },

    /**
     * 删除地址
     */
    bankRemove(e){
        let id    = e.target.dataset.id,
            index = e.target.dataset.index,
            list  = this.data.bankArr

        list.splice(index,1)

        wx.showModal({
            title   : '提示',
            content : '是否删除银行卡',
            success : res=> {
                if (res.confirm) {
                    wx.showLoading({
                        title: '删除中',
                    })
                    wx.$api.bank.cardsDel(id).then(res=>{
                        this.setData({
                            bankArr: list
                        })
                        wx.hideLoading()
                    })
                }
            }
        })
    },
})